summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Larry Hajali2010-06-15 08:33:56 +0200
committer Robby Workman2010-06-15 08:33:56 +0200
commite811bf0adf40f4f711bc7dced51b7688dc68afc8 (patch)
treeaa822b53dbee3cf9eae5a3f42e094c0d267776c8
parenta54a81cfe60de42fd7f504ae6cb9ebcd5dc1b3d3 (diff)
downloadslackbuilds-e811bf0adf40f4f711bc7dced51b7688dc68afc8.tar.gz
office/sigil: Added (WYSIWYG ebook editor)
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
-rw-r--r--office/sigil/README2
-rw-r--r--office/sigil/doinst.sh10
-rw-r--r--office/sigil/sigil.SlackBuild91
-rw-r--r--office/sigil/sigil.desktop11
-rw-r--r--office/sigil/sigil.info10
-rw-r--r--office/sigil/slack-desc19
6 files changed, 143 insertions, 0 deletions
diff --git a/office/sigil/README b/office/sigil/README
new file mode 100644
index 0000000000..bdd43d61ba
--- /dev/null
+++ b/office/sigil/README
@@ -0,0 +1,2 @@
+Sigil is a multi-platform WYSIWYG ebook editor. It is designed to
+edit books in ePub format.
diff --git a/office/sigil/doinst.sh b/office/sigil/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/office/sigil/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/office/sigil/sigil.SlackBuild b/office/sigil/sigil.SlackBuild
new file mode 100644
index 0000000000..1e1592a69e
--- /dev/null
+++ b/office/sigil/sigil.SlackBuild
@@ -0,0 +1,91 @@
+#!/bin/sh
+
+# Slackware build script for sigil
+
+# Written by Larry Hajali <larryhaja[at]gmail[dot]com>
+
+SRCNAM=Sigil
+PRGNAM=sigil
+VERSION=0.2.0
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION-Code
+unzip $CWD/$SRCNAM-$VERSION-Code.zip
+cd $SRCNAM-$VERSION-Code
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Fix end of line encoding.
+sed -i 's/\r//g' ChangeLog.txt COPYING.txt INSTALL.txt README.txt
+
+mkdir build
+cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make VERBOSE=1
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/applications
+install -m 0644 $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+for i in 16 32 48 128 256 512; do
+ install -D -m 0644 src/Sigil/Resource_Files/icon/app_icon_${i}.png \
+ $PKG/usr/share/icons/hicolor/${i}x${i}/apps/$PRGNAM.png
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ ChangeLog.txt COPYING.txt INSTALL.txt README.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/sigil/sigil.desktop b/office/sigil/sigil.desktop
new file mode 100644
index 0000000000..a94f6468d4
--- /dev/null
+++ b/office/sigil/sigil.desktop
@@ -0,0 +1,11 @@
+[Desktop Entry]
+Type=Application
+Name=Sigil
+GenericName=E-book reader and WYSIWYG editor
+Comment=E-book reader and WYSIWYG editor
+TryExec=sigil
+Exec=sigil
+Icon=sigil
+Categories=Office;
+Terminal=false
+StartupNotify=false
diff --git a/office/sigil/sigil.info b/office/sigil/sigil.info
new file mode 100644
index 0000000000..03986b31f6
--- /dev/null
+++ b/office/sigil/sigil.info
@@ -0,0 +1,10 @@
+PRGNAM="sigil"
+VERSION="0.2.0"
+HOMEPAGE="http://code.google.com/p/sigil/"
+DOWNLOAD="http://sigil.googlecode.com/files/Sigil-0.2.0-Code.zip"
+MD5SUM="1c9266032cb0c068e673df1d120ff316"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Larry Hajali"
+EMAIL="larryhaja[at]gmail[dot]com"
+APPROVED="rworkman"
diff --git a/office/sigil/slack-desc b/office/sigil/slack-desc
new file mode 100644
index 0000000000..a823373f41
--- /dev/null
+++ b/office/sigil/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sigil: sigil (Multi-platform WYSIWYG ebook editor)
+sigil:
+sigil: Sigil is a multi-platform WYSIWYG ebook editor. It is designed to
+sigil: edit books in ePub format.
+sigil:
+sigil: Homepage: http://code.google.com/p/sigil/
+sigil:
+sigil:
+sigil:
+sigil:
+sigil: